Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom.element.draw
Class OdfGroupElement

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.xerces.dom.ElementNSImpl
                          org.odftoolkit.odfdom.dom.element.OdfElement
                              org.odftoolkit.odfdom.dom.element.OdfStylableElement
                                  org.odftoolkit.odfdom.dom.element.OdfStyleablePresentationElement
                                      org.odftoolkit.odfdom.dom.element.draw.OdfShapeElementBase
                                          org.odftoolkit.odfdom.dom.element.draw.OdfGroupElement

All Implemented Interfaces:
  Serializable, Cloneable, OdfStylePropertySet, Element, EventTarget, Node, NodeList, TypeInfo

Direct Known Subclasses:
  OdfGroup

    public abstract class OdfGroupElement

extends OdfShapeElementBase

DOM implementation of OpenDocument element draw:g.

See Also:
  Serialized Form

Field Summary
`static OdfName` | `ELEMENT_NAME`

Fields inherited from class org.odftoolkit.odfdom.dom.element.OdfStylableElement
`mFamily, mStyleNameAttrib`

Fields inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`mOdfDocument`

Fields inherited from class org.apache.xerces.dom.ElementNSImpl
`localName, namespaceURI`

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`OdfGroupElement(OdfFileDom aOwnerDoc)` Create the instance of OdfGroupElement

Method Summary
`OdfCaptionElement` | `createCaptionElement()` Create child element draw:caption.
`OdfCircleElement` | `createCircleElement()` Create child element draw:circle.
`OdfConnectorElement` | `createConnectorElement(Integer viewBox)` Create child element draw:connector.
`OdfControlElement` | `createControlElement(OdfId control)` Create child element draw:control.
`OdfCustomShapeElement` | `createCustomShapeElement()` Create child element draw:custom-shape.
`OdfDescElement` | `createDescElement()` Create child element svg:desc.
`OdfHyperlinkElement` | `createdrawHyperlinkElement(OdfAnyURI href)` Create child element draw:a.
`OdfMeasureElement` | `createdrawMeasureElement(OdfLength x1, OdfLength y1, OdfLength x2, OdfLength y2)` Create child element draw:measure.
`OdfEllipseElement` | `createEllipseElement()` Create child element draw:ellipse.
`OdfEventListenersElement` | `createEventListenersElement()` Create child element office:event-listeners.
`OdfFrameElement` | `createFrameElement()` Create child element draw:frame.
`OdfGluePointElement` | `createGluePointElement(OdfNonNegativeInteger drawid, OdfLength x, OdfLength y, OdfEscapeDirectionType escapeDirection)` Create child element draw:glue-point.
`OdfGroupElement` | `createGroupElement()` Create child element draw:g.
`OdfLineElement` | `createLineElement(OdfLength x1, OdfLength y1, OdfLength x2, OdfLength y2)` Create child element draw:line.
`OdfPageThumbnailElement` | `createPageThumbnailElement()` Create child element draw:page-thumbnail.
`OdfPathElement` | `createPathElement(String d, Integer viewBox)` Create child element draw:path.
`OdfPolygonElement` | `createPolygonElement(String points, Integer viewBox)` Create child element draw:polygon.
`OdfPolylineElement` | `createPolylineElement(String points, Integer viewBox)` Create child element draw:polyline.
`OdfRectElement` | `createRectElement()` Create child element draw:rect.
`OdfRegularPolygonElement` | `createRegularPolygonElement(OdfBoolean concave, OdfPositiveInteger corners)` Create child element draw:regular-polygon.
`OdfRegularPolygonElement` | `createRegularPolygonElement(OdfPositiveInteger corners, OdfBoolean concave)` Create child element draw:regular-polygon.
`OdfSceneElement` | `createSceneElement()` Create child element dr3d:scene.
`OdfTitleElement` | `createTitleElement()` Create child element svg:title.
`OdfId` | `getCaptionId()` Get value of attribute draw:caption-id.
`OdfName` | `getOdfName()` Get the element name
`OdfLength` | `getY()` Get value of attribute svg:y.
`void` | `setCaptionId(OdfId captionId)` Set value of attribute draw:caption-id.
`void` | `setY(OdfLength y)` Set value of attribute svg:y.

Methods inherited from class org.odftoolkit.odfdom.dom.element.draw.OdfShapeElementBase
`getAnchorPageNumber, getAnchorType, getDrawClassNames, getDrawid, getDrawStyleName, getEndCellAddress, getEndX, getEndY, getName, getPresentationClassNames, getPresentationStyleName, getTableBackground, getXmlid, getZIndex, init, setAnchorPageNumber, setAnchorType, setDrawClassNames, setDrawid, setDrawStyleName, setEndCellAddress, setEndX, setEndY, setName, setPresentationClassNames, setPresentationStyleName, setTableBackground, setXmlid, setZIndex`

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfStyleablePresentationElement
`setAttributeNS`

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfStylableElement
`getAutomaticStyle, getAutomaticStyles, getDocumentStyle, getOrCreateUnqiueAutomaticStyle, getProperties, getProperty, getStrictProperties, getStyleFamily, getStyleName, hasAutomaticStyle, hasDocumentStyle, hasProperty, onInsertNode, onRemoveNode, removeProperty, reuseDocumentStyle, setDocumentStyle, setProperties, setProperty, setStyleName`

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`cloneNode, equals, findFirstChildNode, findNextChildNode, findPreviousChildNode, getAncestorAs, getOdfAttribute, getParentAs, hasOdfAttribute, insertBefore, onInsertNode, onRemoveNode, removeChild, replaceChild, setOdfAttribute, toString`

Methods inherited from class org.apache.xerces.dom.ElementNSImpl
`getBaseURI, getLocalName, getNamespaceURI, getPrefix, getTypeName, getTypeNamespace, isDerivedFrom, setPrefix, setType, setValues`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, item, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getNodeNumber, getNodeValue, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setUserData, setUserData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, compareDocumentPosition, getChildNodes, getFeature, getFirstChild, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, getTextContent, getUserData, hasChildNodes, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, setNodeValue, setTextContent, setUserData`

Field Detail

### ELEMENT_NAME

    public static final OdfName ELEMENT_NAME

Constructor Detail

### OdfGroupElement

    public OdfGroupElement(OdfFileDom aOwnerDoc)

  Create the instance of OdfGroupElement

  Parameters:
    `aOwnerDoc` - The type is OdfFileDom

Method Detail

### getOdfName

    public OdfName getOdfName()

  Get the element name

  Specified by:
    `getOdfName` in class `OdfElement`
  Returns:
    return the name of element draw:g.

### getY

    public OdfLength getY()

  Get value of attribute svg:y.

  Returns:
    return the attribute which type is OdfLength

### setY

    public void setY(OdfLength y)

  Set value of attribute svg:y.

  Parameters:
    `y` - the attribute's type is OdfLength

### getCaptionId

    public OdfId getCaptionId()

  Get value of attribute draw:caption-id.

  Returns:
    return the attribute which type is OdfId

### setCaptionId

    public void setCaptionId(OdfId captionId)

  Set value of attribute draw:caption-id.

  Parameters:
    `captionId` - the attribute's type is OdfId

### createTitleElement

    public OdfTitleElement createTitleElement()

  Create child element svg:title.

  Returns:
    return the element svg:title

### createDescElement

    public OdfDescElement createDescElement()

  Create child element svg:desc.

  Returns:
    return the element svg:desc

### createEventListenersElement

    public OdfEventListenersElement createEventListenersElement()

  Create child element office:event-listeners.

  Returns:
    return the element office:event-listeners

### createGluePointElement

    public OdfGluePointElement createGluePointElement(OdfNonNegativeInteger drawid,
                                                      OdfLength x,
                                                      OdfLength y,
                                                      OdfEscapeDirectionType escapeDirection)

  Create child element draw:glue-point.

  Parameters:
    `drawid` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfNonNegativeInteger
    `x` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfLength
    `y` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfLength
    `escapeDirection` - the attribute's type is OdfEscapeDirectionType, see draw:escape-direction at specification
  Returns:
    return the element draw:glue-point

### createRectElement

    public OdfRectElement createRectElement()

  Create child element draw:rect.

  Returns:
    return the element draw:rect

### createLineElement

    public OdfLineElement createLineElement(OdfLength x1,
                                            OdfLength y1,
                                            OdfLength x2,
                                            OdfLength y2)

  Create child element draw:line.

  Parameters:
    `x1` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfLength
    `y1` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfLength
    `x2` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfLength
    `y2` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfLength
  Returns:
    return the element draw:line

### createPolylineElement

    public OdfPolylineElement createPolylineElement(String points,
                                                    Integer viewBox)

  Create child element draw:polyline.

  Parameters:
    `points` - String
    `viewBox` - Integer
  Returns:
    return the element draw:polyline

### createPolygonElement

    public OdfPolygonElement createPolygonElement(String points,
                                                  Integer viewBox)

  Create child element draw:polygon.

  Parameters:
    `points` - String
    `viewBox` - Integer
  Returns:
    return the element draw:polygon

### createRegularPolygonElement

    public OdfRegularPolygonElement createRegularPolygonElement(OdfPositiveInteger corners,
                                                                OdfBoolean concave)

  Create child element draw:regular-polygon.

  Parameters:
    `corners` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfPositiveInteger
    `concave` - the attribute's type is Boolean
  Returns:
    return the element draw:regular-polygon

### createRegularPolygonElement

    public OdfRegularPolygonElement createRegularPolygonElement(OdfBoolean concave,
                                                                OdfPositiveInteger corners)

  Create child element draw:regular-polygon.

  Parameters:
    `concave` - the attribute's type is Boolean
    `corners` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfPositiveInteger
  Returns:
    return the element draw:regular-polygon

### createPathElement

    public OdfPathElement createPathElement(String d,
                                            Integer viewBox)

  Create child element draw:path.

  Parameters:
    `d` - String
    `viewBox` - Integer
  Returns:
    return the element draw:path

### createCircleElement

    public OdfCircleElement createCircleElement()

  Create child element draw:circle.

  Returns:
    return the element draw:circle

### createEllipseElement

    public OdfEllipseElement createEllipseElement()

  Create child element draw:ellipse.

  Returns:
    return the element draw:ellipse

### createGroupElement

    public OdfGroupElement createGroupElement()

  Create child element draw:g.

  Returns:
    return the element draw:g

### createPageThumbnailElement

    public OdfPageThumbnailElement createPageThumbnailElement()

  Create child element draw:page-thumbnail.

  Returns:
    return the element draw:page-thumbnail

### createFrameElement

    public OdfFrameElement createFrameElement()

  Create child element draw:frame.

  Returns:
    return the element draw:frame

### createdrawMeasureElement

    public OdfMeasureElement createdrawMeasureElement(OdfLength x1,
                                                      OdfLength y1,
                                                      OdfLength x2,
                                                      OdfLength y2)

  Create child element draw:measure.

  Parameters:
    `x1` - the attribute's type is String
    `y1` - the attribute's type is String
    `x2` - the attribute's type is String
    `y2` - the attribute's type is String
  Returns:
    return the element draw:measure

### createCaptionElement

    public OdfCaptionElement createCaptionElement()

  Create child element draw:caption.

  Returns:
    return the element draw:caption

### createConnectorElement

    public OdfConnectorElement createConnectorElement(Integer viewBox)

  Create child element draw:connector.

  Parameters:
    `viewBox` - Integer
  Returns:
    return the element draw:connector

### createControlElement

    public OdfControlElement createControlElement(OdfId control)

  Create child element draw:control.

  Parameters:
    `control` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfId
  Returns:
    return the element draw:control

### createSceneElement

    public OdfSceneElement createSceneElement()

  Create child element dr3d:scene.

  Returns:
    return the element dr3d:scene

### createCustomShapeElement

    public OdfCustomShapeElement createCustomShapeElement()

  Create child element draw:custom-shape.

  Returns:
    return the element draw:custom-shape

### createdrawHyperlinkElement

    public OdfHyperlinkElement createdrawHyperlinkElement(OdfAnyURI href)

  Create child element draw:a.

  Parameters:
    `href` - the attribute's type is URI
  Returns:
    return the element draw:a

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.